Bug 52520 - ProxyRemote & NoProxy directive can not take IPv6 literal address
Summary: ProxyRemote & NoProxy directive can not take IPv6 literal address
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_proxy (show other bugs)
Version: 2.2.20
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2012-01-24 21:21 UTC by Edoardo
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Edoardo 2012-01-24 21:21:34 UTC
Using IPv6 literal address in ProxyRemote directive fails with error because the module doesn't expect IPv6 address.

Ex:
ProxyRemote * http://[fc01::ffff]:8081

This also effecting the ProxyRemoteMatch diretive.

Also putting IPv6 address in NoProxy does not seems to work as the code only can handle IP literal address in form of IPv4. However no error statement is generated,

While I'm using 2.2.20 version in Ubuntu, I check the 2.2.21 code and they still don't handle IPv6 address.
Comment 1 hook 2014-07-25 17:57:10 UTC
I'm also affected by this bug. Would be great if someone could fix this.

Workaround:
It seems to work when there's an URL with a v6 address only, instead of the plain v6 address.
Example:
ProxyRemoteMatch SOMEREGEX http://v6only.example.com:8080

So maybe this is only a config parse error?
Comment 2 William A. Rowe Jr. 2018-11-07 21:09:12 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.